The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Linux kernel: infinite loop via tcp_splice_read

Synthesis of the vulnerability 

An attacker can generate an infinite loop via tcp_splice_read() on the Linux kernel, in order to trigger a denial of service.
Impacted systems: Blue Coat CAS, Broadcom Content Analysis, Debian, BIG-IP Hardware, TMOS, Android OS, QRadar SIEM, Linux, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this alert: 2/4.
Creation date: 24/02/2017.
Références of this alert: 2011728, CERTFR-2017-AVI-128, CERTFR-2017-AVI-141, CERTFR-2017-AVI-162, CERTFR-2017-AVI-282, CERTFR-2017-AVI-307, CERTFR-2017-AVI-311, CVE-2017-6214, DLA-849-1, DSA-3804-1, K81211720, openSUSE-SU-2017:0906-1, openSUSE-SU-2017:0907-1, RHSA-2017:1372-01, RHSA-2017:1615-01, RHSA-2017:1616-01, SA148, SUSE-SU-2017:1183-1, SUSE-SU-2017:1247-1, SUSE-SU-2017:1301-1, SUSE-SU-2017:1360-1, SUSE-SU-2017:1990-1, SUSE-SU-2017:2342-1, SUSE-SU-2017:2525-1, USN-3265-1, USN-3265-2, USN-3361-1, USN-3422-1, USN-3422-2, VIGILANCE-VUL-21953.

Description of the vulnerability 

An attacker can generate an infinite loop via tcp_splice_read() on the Linux kernel, in order to trigger a denial of service.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness announce impacts software or systems such as Blue Coat CAS, Broadcom Content Analysis, Debian, BIG-IP Hardware, TMOS, Android OS, QRadar SIEM, Linux, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this vulnerability alert is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer threat announce.

Solutions for this threat 

Linux kernel: version 4.9.11.
The version 4.9.11 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 4.4.50.
The version 4.4.50 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v4.x/

Linux kernel: version 3.18.49.
The version 3.18.49 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

Linux kernel: version 3.16.41.
The version 3.16.41 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

Linux kernel: version 3.12.71.
The version 3.12.71 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

Linux kernel: version 3.10.106.
The version 3.10.106 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/linux-3.10.106.tar.xz

Linux kernel: version 3.2.86.
The version 3.2.86 is fixed:
  https://cdn.kernel.org/pub/linux/kernel/v3.x/

Linux kernel: patch for tcp_splice_read.
A patch is indicated in information sources.

Android OS: patches 2017-09-01 and 2017-09-05.
A patch is indicated in information sources.

Blue Coat Content Analysis System: solution for Linux.
The version 2.1.1.1 is partly fixed.

Debian 7: new linux packages.
New packages are available:
  Debian 7: linux 3.2.86-1

Debian 8: new linux packages.
New packages are available:
  Debian 8: linux 3.16.39-1+deb8u2

F5 BIG-IP: solution for Linux.
Fixed versions are indicated in information sources.

IBM QRadar SIEM: solution for Linux Kernel.
The solution is indicated in information sources.

openSUSE Leap 42.1: new kernel packages.
New packages are available:
  openSUSE Leap 42.1: kernel 4.1.39-53.1

openSUSE Leap 42.2: new kernel packages.
New packages are available:
  openSUSE Leap 42.2: kernel 4.4.57-18.3.1

RHEL 7: new kernel packages.
New packages are available:
  RHEL 7: kernel 3.10.0-514.26.1.el7

RHEL 7: new kernel-rt packages.
New packages are available:
  RHEL 7: kernel-rt 3.10.0-514.26.1.rt56.442.el7

RHEL: new kernel packages.
New packages are available:
  RHEL 6: kernel 2.6.32-696.3.1.el6

SUSE LE 11 SP3: new kernel packages.
New packages are available:
  SUSE LE 11 SP3: kernel 3.0.101-0.47.106.5.1

SUSE LE 11 SP4: new kernel packages.
New packages are available:
  SUSE LE 11 SP4: kernel 3.0.101-100.1

SUSE LE 11 SP4: new kernel-rt packages (05/09/2017).
New packages are available:
  SUSE LE 11 SP4: kernel-rt 3.0.101.rt130-69.5.1

SUSE LE 12 RTM: new kernel packages.
New packages are available:
  SUSE LE 12 RTM: kernel 3.12.61-52.72.1

SUSE LE 12 SP1: new kernel packages.
New packages are available:
  SUSE LE 12 SP1: kernel 3.12.74-60.64.40.1

SUSE LE 12 SP2: new kernel packages.
New packages are available:
  SUSE LE 12 SP2: kernel 4.4.59-92.17.3

SUSE LE 12 SP2: new kernel-rt packages (28/07/2017).
New packages are available:
  SUSE LE 12 SP2: kernel-rt 4.4.74-7.10.1

Ubuntu 16.04: new linux-image-generic packages (21/07/2017).
New packages are available:
  Ubuntu 16.04 LTS: linux-image-generic 4.10.0.27.30

Ubuntu: new linux-image-3.13.0 packages.
New packages are available:
  Ubuntu 12.04 ESM: linux-image-3.13.0-132-generic 3.13.0-132.181~precise1
  Ubuntu 14.04 LTS: linux-image-3.13.0-132-generic 3.13.0-132.181

Ubuntu: new linux-image-generic 4.4 packages.
New packages are available:
  Ubuntu 14.04 LTS: linux-image-generic-lts-xenial 4.4.0.75.62
  Ubuntu 16.04 LTS: linux-image-generic 4.4.0.75.81
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a network vulnerability bulletin. The Vigil@nce team tracks computer vulnerabilities impacting systems and applications.